<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <meta http-equiv="X-UA-Compatible" content="ie=edge">
    <title>Document</title>
</head>
<body>
    <h1>Obrázek dne</h1>
    <span id="img"></span>
    <span id="date"></p>
    <span id="desc"></p>
    <button class="btn-next">Next</button>
    <button class="btn-prev">Prev</button>

    <script src="js/jquery.min.js"></script>
    <script>
        var index = 0;
        var img = document.createElement("img");
        var date = document.createElement("p");
        var desc = document.createElement("p");
        $.getJSON('/pod.json')
        .done(function(data){
            date.innerHTML = data["pics"][0]["date"];
            desc.innerHTML = data["pics"][0]["desc"];
            img.setAttribute("src", data["pics"][0]["src"]);
            //console.log(data['pics'][0]);
            $('#img').append(img);
            $('#date').append(date);
            $('#desc').append(desc);
        })
        .fail(function(){
            alert('Při komunikaci došlo k chybě!');
        });
        $('.btn-next').on('click', function(event){
                index = index + 1;
                    $.getJSON('/pod.json')
                    .done(function(data){
                    date.innerHTML = data["pics"][index]["date"];
                    desc.innerHTML = data["pics"][index]["desc"];
                    img.setAttribute("src", data["pics"][index]["src"]);
                    //console.log(data['pics'][0]);
                    console.log(index);
                    $('#date').append(date);
                    $('#desc').append(desc);

                });
                
        });               
                
            
            
           
       
        $('.btn-prev').on('click', function(event){
            index = index - 1;
                $.getJSON('/pod.json')
                .done(function(data){
                date.innerHTML = data["pics"][index]["date"];
                desc.innerHTML = data["pics"][index]["desc"];
                img.setAttribute("src", data["pics"][index]["src"]);
                //console.log(data['pics'][0]);
                console.log(index)
                $('#img').append(img);
                $('#date').append(date);
                $('#desc').append(desc);
                

                });
        });
    </script>
    
</body>
</html>